############
### Petals View properties file
############

##Globals Informations
jdbc.hibernate.hbm2ddl.auto = update
jdbc.hibernate.show_sql = false
jdbc.initialSize = 0
jdbc.maxActive = 8
jdbc.maxIdle = 8
jdbc.minIdle = 0
jdbc.maxWait = -1


## In Memory H2 Datasource
#jdbc.driverClassName = org.h2.Driver
#jdbc.url = jdbc:h2:mem:petalsview
#jdbc.username = sa
#jdbc.password = sa
#jdbc.hibernate.dialect = org.hibernate.dialect.H2Dialect


## MySQL Datasource
#jdbc.driverClassName = com.mysql.jdbc.Driver
#jdbc.url = jdbc:mysql://172.20.222.235:3306/petals_monitoring_trivella 
#jdbc.username = petals_moni
#jdbc.password = petals
#jdbc.hibernate.dialect = com.ebmwebsourcing.petalsview.persistence.util.MySqlInnoDBDialect


## Oracle Datasource
jdbc.driverClassName =oracle.jdbc.driver.OracleDriver
jdbc.url = jdbc:oracle:thin:@(DESCRIPTION=(LOAD_BALANCE=yes)(FAILOVER=on)(ADDRESS=(PROTOCOL=TCP)(HOST=cxorac03-vip)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=cxorac04-vip)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=BWDEV)(FAILOVER_MODE=(TYPE=SELECT)(METHOD=BASIC)(RETRIES=100)(DELAY=15))))  
jdbc.username = FLOWWATCH_STRI
jdbc.password = FLOWWATCH_STRI
jdbc.hibernate.dialect =org.hibernate.dialect.Oracle10gDialect


## PostGreSQL Datasource
#jdbc.driverClassName = org.postgresql.Driver
#jdbc.url = jdbc:postgresql://localhost:5432/petalsview
#jdbc.username = view
#jdbc.password = view
#jdbc.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect


## user role list
role.list.file.url = /WEB-INF/spring/roles.properties
group.list.file.url = /WEB-INF/spring/role-groups.properties
user.list.file.url = /WEB-INF/spring/users.properties
password.list.file.url = /WEB-INF/spring/passwords.properties
